Get Migration Wave
Get migration waves.
Get migration wave. Fetch based on group type
Request
URI
GET
https://{api_host}/api/ni/migration/wave/{groupType}
COPY
Path Parameters
string
groupType
Required
type of group
Responses
200
Success
Returns
MigrationWave
of type(s)
application/json
{
"waveGroups": [
{
"entity_id": "string",
"entity_name": "string",
"mw_name": "string",
"mw_id": "string",
"group_entity_id": "string",
"group_entity_name": "string"
}
],
"groupType": "string",
"timestamp": "number"
}
array of
object
waveGroups
Optional
waveGroups
string
groupType
Optional
groupType
number
timestamp
Optional
timestamp
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
500
Internal error
Returns
InternalErrorResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/ni/migration/wave/{groupType}
Deprecated
Migration Operations
GET
Get Migration Wave
Deprecated
POST
Enable Migration Wave
Deprecated
POST
Disable Migration Wave
Deprecated